Bug 4361 - Expiry Not Flagged in Patron status response
Summary: Expiry Not Flagged in Patron status response
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: rel_3_2
Hardware: PC All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-01 11:55 UTC by Colin Campbell
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (2.77 KB, patch)
2010-04-07 09:08 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:26:16 UTC


---- Reported by colin.campbell@ptfs-europe.com 2010-04-01 11:55:56 ----

While debarred users are flagged as 'charge privileged denied' in patron status returns, expired users are not (although a subsequent change will fail with a message 'EXPIRED'). In many patron validation uses of sip2 this field needs setting as there is no subsequent issue and expired users are then given access to the resources authenticated vy the sip device.

Fix should set status correctly for expired users and include an 'Expired' message in field AF as these devices can display this to staff



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-04-07 09:08:24 ----

Created an attachment
Proposed Patch

Proposed patch. Check Expiry and set appropriate flags and message



---- Additional Comments From henridamien@koha-fr.org 2010-04-07 09:35:54 ----

a pity we have both worked on that :

http://git.biblibre.com/cgi-bin/gitweb.cgi?p=koha;a=commit;h=0a8249fd5b2f9658b6d12a6d47869badb38fec1b

http://git.biblibre.com/cgi-bin/gitweb.cgi?p=koha;a=commit;h=6c5637f922c91b7b81cf15ebd3de3497c7db2035



---- Additional Comments From gmcharlt@gmail.com 2010-04-07 11:21:29 ----

Patches pushed.  Note that the current state may be a bit Frankensteinish - please test.



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-04-07 12:29:11 ----

Test confirms this functionality now working. I think the changes in Members.pm has changed behaviour in checkout where message was 'EXPIRED' it is now 'Patron Blocked'. Leaving open pending further testing.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:26 UTC  ---

This bug was previously known as _bug_ 4361 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4361
Imported an attachment (id=2042)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2042 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Chris Cormack 2010-12-14 03:02:07 UTC
You, yeah you over there, how bout you come over here and test me?